Subject: RE: [netlmm] NETLMM design team update -- comments/suggestions

From: "Kent Leung \(kleung\)" <[email-masked]>
Date: Mon, 26 Jun 2006 01:56:28 -0700

Hi Genadi.  Comments below. 

> -----Original Message-----
> From: Genadi Velev [mailto:[email-masked]] 
> Sent: Friday, June 23, 2006 7:50 AM
> To: [email-masked]
> Subject: RE: [netlmm] NETLMM design team update -- 
> comments/suggestions
> 
> Folks,
> 
> after reading this initial version of the NetLMM protocol 
> I-D, I have some high-level comments. Hopefully they will 
> help for improving the next version of the I-D.
> 
> A) The process of assignment of serving LMA to a MN is a bit 
> unclear to me. It's explained that this is outside the scope 
> of the NetLMM protocol and done during NetLMM bootstrapping 
> procedure. IMO this procedure is specific to NetLMM protocol 
> because it discovers an LMA, which on the other hand is a 
> NetLMM-specific entity. Is there a plan in the DT to 
> elaborate on the NetLMM bootstrapping in the next version of the I-D? 
> 

I think the details of this mechanism can come from applicability
drafts.  For example, 3GPP/3GPP2/WiMAX may have its specific mechanism
based on the network access procedure.  The NetLMM specifies that once
the LMA is obtained, the MAG is informed to initiate signaling.
Anyways, the DT should look more into this topic.

> B) The LMA Allocation Request and LMA Allocation Reply 
> messages are exchanges between LMA and (maybe ?) policy 
> decision point (PDP). Since, e.g., the PDP needs to implement 
> at least these 2 NetlMM messages, it needs to be described in 
> more detail, as an entity part of the protocol.
> 

I agree more clarification is needed.

> 
> C) It's not mentioned how the MN's link-local IP address is 
> treated in the NetLMM infrastructure. Doesn't it need to be 
> checked for uniqueness at the LMA? What happens in the MAG 
> when it receives NS for link-local IP address DAD? 
>  

I think the draft should reference draft-ietf-netlmm-mn-ar-if-00.txt
 as this topic is on a link that's local between MN and AR.

> Thanks,
> Genadi
> 
> P.S. Some minor comments for text improvement:
> - on page 10: "PDP" is mentioned without introducing this 
> abbreviation.
> I guess it's a Policy Decision Point entity, isn't it?  Some 
> pointer would be helpful (maybe RFC 2753?).

Yes, it is.

> - the meaning of "tunnel ID" is unclear. 

Should be Routing Tag.

> - figure(s) with signaling flow chart would be very helpful 
> for easier understanding the succession of the message exchange.
> 

That will be added in future revisions.

Kent

<snip>

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm